Create a RecordSet

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows/{dataflowId}/recordsets

Create a RecordSet.

Path parameters

  • dataflowId string Required

    ID of the Dataflow

application/json

Body

  • description string

    description of the recordSet

  • parent_record_set_id string

    parent recordSet that connects to the new recordSet. Set it null or do not include the field if the new recordSet has no parent recordSet

  • record_set_name string

    name of the recordSet

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      id of the RecordSet

    • dataflow_id string

      Dataflow Id this RecordSet belongs to

    • description string

      Description of this RecordSet

    • owning_collection string

      Collection of this RecordSet

    • owning_entity string

      Entity owning this RecordSet

    • record_set_name string

      RecordSet name

    • trusted_entities array

      Entities that have access to this RecordSet

    • version string

      RecordSet structure version

POST /dataflows/{dataflowId}/recordsets
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"description\": \"sample description\",\n  \"parentRecordSetId\": null,\n  \"recordSetName\": \"sample_recordSet\"\n}"'
Request example
sample description
{
  "description": "sample description",
  "parentRecordSetId": null,
  "recordSetName": "sample_recordSet"
}
Response examples (200)
{
  "_id": "574bc94ed96535adaf730a62",
  "dataflowId": "574bc854d96535adaf730a60",
  "description": "description of rs4",
  "owningCollection": "574bc854d96535adaf730a60_rs4",
  "owningEntity": "demo_5000",
  "recordSetName": "rs4",
  "trustedEntities": [
    {
      "entity": "demo_5000"
    }
  ],
  "version": "2.0"
}